Subject: bug#65896: 30.0.50; folding text with text properties prevents background from extending past the newline

From: Eli Zaretskii <[email-masked]>
Date: Fri, 22 Sep 2023 10:20:34 +0300

> From: Juri Linkov <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,  Ihor Radchenko <[email-masked]>,
>   [email-masked],  [email-masked]
> Date: Fri, 22 Sep 2023 09:40:42 +0300
> 
> > I would imagine outline.el could grow a user option to adjust overlay
> > boundaries this way, so the heading's newline would remain visible, and
> > so would any :extend property on that newline… although perhaps I'm
> > missing some key differences between outline-mode and magit-section-mode
> > that may derail this train of thought.
> 
> I tried, but the conclusion was that this requires changes in the display engine.

For any changes in this area to be done in the display engine, someone
will have to come up with a coherent proposal that will:

  . make sense from the Lisp programmer's POV
  . support well both the case of invisible text and the case of no
    invisible text, without asking the display code to jump through
    too many hoops in any of these cases
  . be consistent with the current handling of faces in the display
    code, which basically decides on the face where it changes, and
    then keeps using that face until the next face change

Ideas and suggestions that satisfy the above conditions are welcome.